# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  set C_COLOR_IN_WIDTH [ipgui::add_param $IPINST -name "C_COLOR_IN_WIDTH" -parent ${Page_0}]
  set_property tooltip {Width of a color componet} ${C_COLOR_IN_WIDTH}
  set C_COLOR_OUT_WIDTH [ipgui::add_param $IPINST -name "C_COLOR_OUT_WIDTH" -parent ${Page_0}]
  set_property tooltip {Width of a color componet} ${C_COLOR_OUT_WIDTH}


}

proc update_PARAM_VALUE.C_COLOR_IN_WIDTH { PARAM_VALUE.C_COLOR_IN_WIDTH } {
	# Procedure called to update C_COLOR_IN_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_COLOR_IN_WIDTH { PARAM_VALUE.C_COLOR_IN_WIDTH } {
	# Procedure called to validate C_COLOR_IN_WIDTH
	return true
}

proc update_PARAM_VALUE.C_COLOR_OUT_WIDTH { PARAM_VALUE.C_COLOR_OUT_WIDTH } {
	# Procedure called to update C_COLOR_OUT_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_COLOR_OUT_WIDTH { PARAM_VALUE.C_COLOR_OUT_WIDTH } {
	# Procedure called to validate C_COLOR_OUT_WIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_COLOR_IN_WIDTH { MODELPARAM_VALUE.C_COLOR_IN_WIDTH PARAM_VALUE.C_COLOR_IN_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_COLOR_IN_WIDTH}] ${MODELPARAM_VALUE.C_COLOR_IN_WIDTH}
}

proc update_MODELPARAM_VALUE.C_COLOR_OUT_WIDTH { MODELPARAM_VALUE.C_COLOR_OUT_WIDTH PARAM_VALUE.C_COLOR_OUT_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_COLOR_OUT_WIDTH}] ${MODELPARAM_VALUE.C_COLOR_OUT_WIDTH}
}

